
From: Jeffrey Mahoney <jeffm@suse.com>

This patch applies the IS_PRIVATE test to the selinux internal inode loop.

Signed-off-by: Jeff Mahoney <jeffm@suse.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/security/selinux/hooks.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN security/selinux/hooks.c~selinux-internal-inode-loop-needs-is_private-test security/selinux/hooks.c
--- 25/security/selinux/hooks.c~selinux-internal-inode-loop-needs-is_private-test	2005-03-07 20:41:24.000000000 -0800
+++ 25-akpm/security/selinux/hooks.c	2005-03-07 21:14:14.000000000 -0800
@@ -589,7 +589,8 @@ next_inode:
 		spin_unlock(&sbsec->isec_lock);
 		inode = igrab(inode);
 		if (inode) {
-			inode_doinit(inode);
+			if (!IS_PRIVATE (inode))
+				inode_doinit(inode);
 			iput(inode);
 		}
 		spin_lock(&sbsec->isec_lock);
_
